ZenLib

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
ZenLib::Translation Class Reference

Helper for translation. More...

`#include <Translation.h>`

Inheritance diagram for ZenLib::Translation:

## Public Member Functions
| Translation ()
| Translation (const Ztring &Source)
| Translation (const Char *Source)
Ztring | Get () const
const Ztring & | Get (const Ztring &Value)
Ztring | Get (const Ztring &Count, const Ztring &Value)
void | Write (const Ztring &NewLanguage)
void | Write (const Ztring &Value, const Ztring &NewLanguage)
void | Separator_Set (size_type Level, const Ztring &NewSeparator)
| Set the Separator character. More...
void | Quote_Set (const Ztring &NewQuote)
| Set the Quote character During Read() or Write() method, if Separator is in the sequence, we must quote it. More...
void | Max_Set (size_type Level, size_type Max)
| Set the Maximum number of element to read During Read() or Write() method, if there is more elements, merge them with the last element. More...

## Protected Attributes
Ztring | Separator [2]
Ztring | Quote
size_type | Max [2]

## Detailed Description

Helper for translation.

## Constructor & Destructor Documentation

ZenLib::Translation::Translation | ( |  | ) |

ZenLib::Translation::Translation | ( | const Ztring & | Source | ) |

ZenLib::Translation::Translation | ( | const Char * | Source | ) |

## Member Function Documentation

Ztring ZenLib::Translation::Get | ( |  | ) | const

const Ztring& ZenLib::Translation::Get | ( | const Ztring & | Value | ) |

Ztring ZenLib::Translation::Get | ( | const Ztring & | Count,
|  | const Ztring & | Value
| ) |  |

void ZenLib::Translation::Max_Set | ( | size_type | Level,
|  | size_type | Max
| ) |  |

Set the Maximum number of element to read During Read() or Write() method, if there is more elements, merge them with the last element.

void ZenLib::Translation::Quote_Set | ( | const Ztring & | NewQuote | ) |

Set the Quote character During Read() or Write() method, if Separator is in the sequence, we must quote it.

void ZenLib::Translation::Separator_Set | ( | size_type | Level,
|  | const Ztring & | NewSeparator
| ) |  |

Set the Separator character.

void ZenLib::Translation::Write | ( | const Ztring & | NewLanguage | ) |

void ZenLib::Translation::Write | ( | const Ztring & | Value,
|  | const Ztring & | NewLanguage
| ) |  |

## Member Data Documentation

size_type ZenLib::Translation::Max[2]
| protected

Ztring ZenLib::Translation::Quote
| protected

Ztring ZenLib::Translation::Separator[2]
| protected

The documentation for this class was generated from the following file:

- Translation.h